Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#51 22-05-2018 21:16:38

calixtus06
Membre
Distrib. : Librazik2
Noyau : Linux version 4.9.0-6-lzk-bl-amd64
(G)UI : mate
Inscription : 25-03-2016

Re : [RESOLU] Qu'est ce qui clôche avec virtualbox ?

Hello de retour à la maison et toujours des soucis d'écriture apparemment, non ?

apt -t stretch-backports install reinstall virtualbox


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet reinstall



apt -t stretch-backports install --reinstall virtualbox


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libllvm3.9 libtxc-dxtn-s2tc linux-kbuild-4.15 linux-kbuild-4.16
Veuillez utiliser « apt autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 1 réinstallés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 0 o/17,0 Mo dans les archives.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
(Lecture de la base de données... 300800 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../virtualbox_5.2.10-dfsg-6~bpo9+1_amd64.deb ...
Dépaquetage de virtualbox (5.2.10-dfsg-6~bpo9+1) sur (5.2.10-dfsg-6~bpo9+1) ...
Paramétrage de virtualbox (5.2.10-dfsg-6~bpo9+1) ...
Job for virtualbox.service failed because the control process exited with error code.
See "systemctl status virtualbox.service" and "journalctl -xe" for details.
invoke-rc.d: initscript virtualbox, action "restart" failed.
● virtualbox.service - LSB: VirtualBox Linux kernel module
   Loaded: loaded (/etc/init.d/virtualbox; generated)
   Active: failed (Result: exit-code) since Tue 2018-05-22 22:15:08 CEST; 6ms ago
     Docs: man:systemd-sysv-generator(8)
  Process: 5738 ExecStart=/etc/init.d/virtualbox start (code=exited, status=1/FAILURE)

mai 22 22:15:08 LibraZiK2-studio-audio systemd[1]: Starting LSB: VirtualBox L…..
mai 22 22:15:08 LibraZiK2-studio-audio virtualbox[5738]: Loading VirtualBox k…d!
mai 22 22:15:08 LibraZiK2-studio-audio virtualbox[5738]:  failed!
mai 22 22:15:08 LibraZiK2-studio-audio systemd[1]: virtualbox.service: Contro…=1
mai 22 22:15:08 LibraZiK2-studio-audio systemd[1]: virtualbox.service: Failed…'.
mai 22 22:15:08 LibraZiK2-studio-audio systemd[1]: Failed to start LSB: Virtu…e.
Hint: Some lines were ellipsized, use -l to show in full.
Traitement des actions différées (« triggers ») pour systemd (237-3~bpo9+1) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.6.1-2) ...
root@LibraZiK2-studio-audio:/home/nicolas#
 


Il n'y a pas de mauvaises questions...

Hors ligne

#52 22-05-2018 21:19:01

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.2
Noyau : Linux 5.3.18
(G)UI : KDE 5.18.5
Inscription : 11-03-2016

Re : [RESOLU] Qu'est ce qui clôche avec virtualbox ?

Ah oui j’ai cumulé sur cette ligne tongue
Il te reste à tester virtualbox wink je vois des erreurs dans le retour mais il faut voir si tu as toujours le même souci ou pas

Hors ligne

#53 23-05-2018 10:20:24

calixtus06
Membre
Distrib. : Librazik2
Noyau : Linux version 4.9.0-6-lzk-bl-amd64
(G)UI : mate
Inscription : 25-03-2016

Re : [RESOLU] Qu'est ce qui clôche avec virtualbox ?

Chalu j'ai dû louper un épisode ( ici avec vmware):

https://debian-facile.org/images/file-R … 3040b763d7

Il n'y a pas de mauvaises questions...

Hors ligne

#54 23-05-2018 16:02:32

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.2
Noyau : Linux 5.3.18
(G)UI : KDE 5.18.5
Inscription : 11-03-2016

Re : [RESOLU] Qu'est ce qui clôche avec virtualbox ?

Le message indique toujours un problème de headers
Tu as redémarré le PC après la mise à jour ?
Que donne

uname -a


dpkg -l|grep linux-headers-*


dpkg -l|grep linux-image-*

Hors ligne

#55 23-05-2018 17:40:50

calixtus06
Membre
Distrib. : Librazik2
Noyau : Linux version 4.9.0-6-lzk-bl-amd64
(G)UI : mate
Inscription : 25-03-2016

Re : [RESOLU] Qu'est ce qui clôche avec virtualbox ?

Je ne suis pas rentré à la maison. Mais j'ai pu avoir ce lien avec le développeur de librazik. A lire plus attentivement ce soir.

http://librazik.tuxfamily.org/flyspray/ … ask_id=275

Dernière modification par calixtus06 (23-05-2018 17:41:38)


Il n'y a pas de mauvaises questions...

Hors ligne

#56 23-05-2018 18:04:02

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.2
Noyau : Linux 5.3.18
(G)UI : KDE 5.18.5
Inscription : 11-03-2016

Re : [RESOLU] Qu'est ce qui clôche avec virtualbox ?

Je serais tenté de te dire oui et non car si tu mets ton système à jour, tu passes ensuite sur le noyau "normal" de debian stable et tu devrais donc avoir la possibilité d'utiliser le paquet linux-headers qui va avec. Je suis entrain de faire des tests sous virtualbox de librazik

Il semble que j'ai oublié de fabriquer les paquets linux-headers-4.9.0-4-lzk-bl-common et linux-headers-4.9.0-4-lzk-rt-common lors de la fabrication des noyaux de LZK-2, et que ceci empêche donc un utilisateur de construire un module pour ce noyau.


Ce serait à confirmer mais sur mon essai aujourd'hui, en faisant les mises à jour après installation avec le Live, je suis passé d'un noyau librazik linux-image-4.9.0-5-lzk-bl-amd64 à un noyau "normal" de stretch linux-image-4.9.0-6-amd64 en fait au redémarrage on passe sur le noyau 4.9.0.-6 de librazik. Ce dernier devrait être mis à jour dans les prochains jours pour être en 4.9.88-1+deb9u1 au lieu de 4.9.82-1+deb9u3.

Le dépôt librazik est en retard sur stretch pour fournir le noyau et du coup on le perd scratchhead.gif
Je n'ai pas tout à fait suivi le processus d'installation à partir du live, je vais recommencer pour voir si ça fonctionne mieux.
Ton retour avec les commandes du post #54 vont aussi nous éclairer.

Edit : je viens de lire ceci où il confirme qu'il n'a pas le temps de suivre les publications du noyau

Il est à noter que seuls les noyaux “normaux” et “RT” provenant directement des dépôts de chez Debian sont maintenus en permanence (par Debian donc). C'est à dire qu'ils bénéficient de correctifs des failles entre autres de sécurité.

Étant donné le travail colossal que cela représente de suivre, mettre à jour et empaqueter un noyau en permanence, les autres noyaux (ceux fournis par LibraZiK-2) sont à prendre comme des noyaux n'ayant pas de suivi et donc, pouvant être potentiellement sensibles, notamment au regard de problèmes de sécurité.


En lisant cette page sur les noyaux, je me dis que librazik c'est compliqué pour utiliser les "dkms" nécessaires à virtualbox ou à d'autres paquets comme les drivers propriétaires Nvidia par exemple et avoir de la stabilité.
Il faudrait quand tu veux utiliser virtualbox que tu démarres sur un noyau normal de Debian avec ses linux headers installés
Quand tu veux faire de la MAO, tu démarres sur le noyau de librazik qui n'est pas sécurisé mais optimisé pour la MAO.
Ou alors tu installes aussi le dernier noyau de librazik pour lequel il fournisse aussi le dernier linux-headers qui va avec.
Maintenant que j'ai installé cette distribution, je comprends mieux ce qui se passe chez toi.

Hors ligne

#57 23-05-2018 20:02:02

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.2
Noyau : Linux 5.3.18
(G)UI : KDE 5.18.5
Inscription : 11-03-2016

Re : [RESOLU] Qu'est ce qui clôche avec virtualbox ?

Bon après réinstallation en suivant à la lettre le mode d'emploi, j'ai les mêmes symptômes.
Tu ne peux pas installer le paquet linux-headers qui va avec le noyau basse latence de librazik car il manque à toutes les versions la dépendances linux-headers-*-common

apt policy linux-headers-*-lzk-bl-common


linux-headers-4.9.0-6-lzk-bl-common:
  Installé : (aucun)
  Candidat : (aucun)
 Table de version :
linux-headers-4.9.0-5-lzk-bl-common:
  Installé : (aucun)
  Candidat : (aucun)
 Table de version :
linux-headers-4.9.0-4-lzk-bl-common:
  Installé : (aucun)
  Candidat : (aucun)
 Table de version :
linux-headers-4.9.0-3-lzk-bl-common:
  Installé : (aucun)
  Candidat : (aucun)
 Table de version :
 


Pour utiliser virtualbox, il te faut donc démarrer sur le noyau normal de stretch pour lequel le paquet linux-headers est installé si tu as suivi les commandes données. On saura si tu as effectivement ce qu'il faut pour le noyau de stretch avec les retours des commandes du post #54

Hors ligne

#58 24-05-2018 23:52:32

calixtus06
Membre
Distrib. : Librazik2
Noyau : Linux version 4.9.0-6-lzk-bl-amd64
(G)UI : mate
Inscription : 25-03-2016

Re : [RESOLU] Qu'est ce qui clôche avec virtualbox ?

hello et encore merci pour ton aide Chalu !

uname -a


Linux LibraZiK2-studio-audio 4.9.0-6-lzk-bl-amd64 #1 SMP PREEMPT Debian 4.9.82-1+deb9u3 (2018-03-02) x86_64 GNU/Linux
nicolas@LibraZiK2-studio-audio:~$
 



dpkg -l|grep linux-headers-*


ii  linux-headers-4.9.0-6-amd64             4.9.88-1+deb9u1                              amd64        Header files for Linux 4.9.0-6-amd64
ii  linux-headers-4.9.0-6-common            4.9.88-1+deb9u1                              all          Common header files for Linux 4.9.0-6
ii  linux-headers-amd64                     4.9+80+deb9u4                                amd64        Header files for Linux amd64 configuration (meta-package)
nicolas@LibraZiK2-studio-audio:~$



dpkg -l|grep linux-image-*


rc  linux-image-4.9.0-5-amd64               4.9.65-3+deb9u2                              amd64        Linux 4.9 for 64-bit PCs
ii  linux-image-4.9.0-5-lzk-bl-amd64        4.9.65-3+deb9u2                              amd64        Linux 4.9 for 64-bit PCs
ii  linux-image-4.9.0-6-amd64               4.9.88-1+deb9u1                              amd64        Linux 4.9 for 64-bit PCs
ii  linux-image-4.9.0-6-lzk-bl-amd64        4.9.82-1+deb9u3                              amd64        Linux 4.9 for 64-bit PCs
ii  linux-image-amd64                       4.9+80+deb9u4                                amd64        Linux for 64-bit PCs (meta-package)
nicolas@LibraZiK2-studio-audio:~$
 

Dernière modification par calixtus06 (24-05-2018 23:53:34)


Il n'y a pas de mauvaises questions...

Hors ligne

#59 25-05-2018 06:03:35

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.2
Noyau : Linux 5.3.18
(G)UI : KDE 5.18.5
Inscription : 11-03-2016

Re : [RESOLU] Qu'est ce qui clôche avec virtualbox ?

Bonjour smile
Comme dit plus haut, avec le noyau de librazik :

linux-image-4.9.0-6-lzk-bl-amd64        4.9.82-1+deb9u3


on est coincé car le dépôt de ta distribution ne fournit pas le paquet linux-headers installable qui va avec le noyau car il manque la dépendance :

linux-headers-4.9.0-6-lzk-bl-common


Soit tu construis toi-même ce paquet si c’est possible mais je ne pourrai pas t’aider pour ça et cela semble compliqué : voir la citation du développeur de librazik ci-dessous.
Soit tu démarres sur le noyau normal de stretch qui a le paquet linux-headers nécessaire pour compiler avec dkms

linux-image-4.9.0-6-amd64               4.9.88-1+deb9u1


linux-headers-4.9.0-6-amd64             4.9.88-1+deb9u1


et sous ce noyau tu pourras installer et utiliser virtualbox.

Le lien que tu as donné sur « l’oubli » du paquet explique ceci :

Administrateur (trebmuh) mardi, 12 décembre 2017, 14:43  a écrit :

Après investigation préliminaire, il me faut revoir le process de construction des noyaux.
La méthode que j'utilisais et qui construisait les linux-headers-common nécessaires ne les construit plus.
Il doit probablement y avoir eu un changement du côté de la méthode de construction des noyaux chez Debian.
Je suis bon pour me retaper le http://kernel-handbook.alioth.debian.org/ !
Youpi \o/


Il doit y avoir peu de développeurs pour librazik ce qui explique que le problème soit toujours présent.

Pour démarrer sur le noyau normal de stretch, tu dois le choisir dans la fenêtre de grub au démarrage du PC.
1527233224.png 1527233365.png

J’ai essayé de reporter ce problème et celui du fichier de preferences sur le canal irc de librazik mais j’ignore si c’est arrivé à bon port tongue
ça y est smile c'est arrivé à bon port wink

Hors ligne

#60 25-05-2018 21:01:49

calixtus06
Membre
Distrib. : Librazik2
Noyau : Linux version 4.9.0-6-lzk-bl-amd64
(G)UI : mate
Inscription : 25-03-2016

Re : [RESOLU] Qu'est ce qui clôche avec virtualbox ?

En résumé, il me faut le dernier noyau de stretch ainsi que son header. Je vais donc dans synaptic et les télécharge simplement ? A moins que je l'ai fait précédemment (?)

Ensuite il me faut cet écran de grub. je n'ai pas souvenir de l'avoir vu passé. Je me lance.

Et mille mille mercis

Il n'y a pas de mauvaises questions...

Hors ligne

#61 25-05-2018 21:03:55

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.2
Noyau : Linux 5.3.18
(G)UI : KDE 5.18.5
Inscription : 11-03-2016

Re : [RESOLU] Qu'est ce qui clôche avec virtualbox ?

Tu les a déjà installés oui pas besoin de Synaptic.
Il faut démarrer dessus si tu veux utiliser virtualbox, voir les deux captures du grub au démarrage.

Hors ligne

#62 25-05-2018 21:19:42

calixtus06
Membre
Distrib. : Librazik2
Noyau : Linux version 4.9.0-6-lzk-bl-amd64
(G)UI : mate
Inscription : 25-03-2016

Re : [RESOLU] Qu'est ce qui clôche avec virtualbox ?

Nickel ça fonctionne !! ouf . Re grand merci !

Il n'y a pas de mauvaises questions...

Hors ligne

#63 03-08-2019 17:47:25

trebmuh
Membre
Distrib. : LibraZiK 2
Noyau : Linux 4.9.0-8-lzk-rt-amd64
(G)UI : lightdm / MATE
Inscription : 08-11-2015
Site Web

Re : [RESOLU] Qu'est ce qui clôche avec virtualbox ?

Pour info calixtus06 (et autres liseurs et liseuses), le bogue dans LibraZiK-2 qui empêchait de compiler un module noyau avec les noyaux fournis dans LibraZiK-2 (le paquet header-common manquant) vient d'être corrigé. Il devrait dorénavant être possible de compiler des modules noyaux avec les noyaux fournis dans LibraZiK-2.

Retours bienvenus.

LZK-petitebande.png  LMAO-petitebande.png  captureLP.png

Hors ligne

Pied de page des forums